# _DEVICE_EXTENSION Struct Reference
[NPF structures and definitions]

Port device extension. More...

`#include <Packet.h>`

## Data Fields

NDIS_STRING | AdapterName
| Name of the adapter.
PWSTR | ExportString

## Detailed Description

Port device extension.

Structure containing some data relative to every adapter on which NPF is bound.

Definition at line 196 of file Packet.h.

## Field Documentation

NDIS_STRING AdapterName

Name of the adapter.

Definition at line 197 of file Packet.h.

PWSTR ExportString

Name of the exported device, i.e. name that the applications will use to open this adapter through WinPcap.

Definition at line 198 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.